Module org.jfree.chart3d
Package org.jfree.chart3d.table

# Class ElementInfo

java.lang.Object
org.jfree.chart3d.table.ElementInfo

public class ElementInfo extends Object
An object that pairs an element with its dimension for one specific graphics target.

Since:
  1.1

## Constructor Summary

Constructors
Constructor
Description
`ElementInfo(TableElement element, Dimension2D dimension)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`Dimension2D`
`getDimension()`
Returns the element's size.
`TableElement`
`getElement()`
Returns the element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementInfo

public ElementInfo(TableElement element, Dimension2D dimension)
Creates a new instance.

Parameters:
  `element` - the element (`null` not permitted).
  `dimension` - the dimension (`null` not permitted).

## Method Details

### getElement

public TableElement getElement()
Returns the element.

Returns:
  The element (never `null`).

### getDimension

public Dimension2D getDimension()
Returns the element's size.

Returns:
  The element's size (never `null`).